package cfg

import "applet/app/utils/logx"

func InitLog() {
	logx.InitDefaultLogger(&logx.LogConfig{
		AppName:         Log.AppName,
		Level:           Log.Level,
		StacktraceLevel: "error",
		IsStdOut:        Log.IsStdOut,
		TimeFormat:      Log.TimeFormat,
		Encoding:        Log.Encoding,
		IsFileOut:       Log.IsFileOut,
		FileDir:         Log.FileDir,
		FileName:        Log.FileName,
		FileMaxSize:     Log.FileMaxSize,
		FileMaxAge:      Log.FileMaxAge,
		Skip:            2,
	})
}
