package db

import (
	"applet/app/db/model"
	"applet/app/utils"
	"applet/consume/md"
	"time"
	"xorm.io/xorm"
)

func GetAcquisitionCfg(eg *xorm.Engine, id string, createAt time.Time) *md.AcquisitionCfg {
	var data model.NewAcquisitionCfg
	var get bool
	var err error
	if utils.StrToInt(id) == 0 {
		get, err = eg.Where("start_time<=? and end_time>=? and is_show=?", createAt.Format("2006-01-02 15:04:05"), createAt.Format("2006-01-02 15:04:05"), 1).Get(&data)
	} else {
		get, err = eg.Where("id=?", id).Get(&data)
	}
	if get == false || err != nil {
		return nil
	}

	var cfg md.AcquisitionCfg
	utils.Unserialize([]byte(data.Data), &cfg)
	return &cfg
}
