package db

import (
	"applet/app/db/model"
	"errors"

	"xorm.io/xorm"
)

// FreePriceTypeByID is 获取新人免单对应的商品价格的类型
func FreePriceTypeByID(sess *xorm.Session, id interface{}) (*model.NewcomersFreePriceType, error) {
	m := new(model.NewcomersFreePriceType)
	has, err := sess.ID(id).Get(m)
	if err != nil {
		return nil, err
	}
	if !has {
		return nil, errors.New("Not Found")
	}
	return m, nil

}
func MoreFreePriceTypeByID(sess *xorm.Session, id interface{}) (*model.MoreNewcomersFreePriceType, error) {
	m := new(model.MoreNewcomersFreePriceType)
	has, err := sess.ID(id).Get(m)
	if err != nil {
		return nil, err
	}
	if !has {
		return nil, errors.New("Not Found")
	}
	return m, nil

}
