package model

import "time"

type AppreciationDayList struct {
	Id      int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	Date    string    `json:"date" xorm:"VARCHAR(255)"`
	Value   string    `json:"value" xorm:"default 0.0000 DECIMAL(20,4)"`
	Sum     string    `json:"sum" xorm:"default 0.0000 DECIMAL(20,4)"`
	FlowSum string    `json:"flow_sum" xorm:"default 0.0000 DECIMAL(20,4)"`
	Time    time.Time `json:"time" xorm:"not null comment('结束时间') DATETIME"`
}
