package model

import (
	"time"
)

type BuckleRecord struct {
	Id           int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	Date         string    `json:"date" xorm:"comment('2023-12') index VARCHAR(255)"`
	Time         time.Time `json:"time" xorm:"DATETIME"`
	Uid          int       `json:"uid" xorm:"default 0 index INT(11)"`
	Level        int       `json:"level" xorm:"default 0 index INT(11)"`
	OrdId        string    `json:"ord_id" xorm:"VARCHAR(255)"`
	PvdOrdId     string    `json:"pvd_ord_id" xorm:"VARCHAR(255)"`
	Amount       string    `json:"amount" xorm:"DECIMAL(20,6)"`
	BeforeAmount string    `json:"before_amount" xorm:"DECIMAL(20,6)"`
	AfterAmount  string    `json:"after_amount" xorm:"DECIMAL(20,6)"`
}
