package model

import "time"

type CapitalPoolOrderTotal struct {
	Id         int64     `json:"id" xorm:"pk comment('订单id') BIGINT(22)"`
	Uid        int       `json:"uid" xorm:"not null default 0 comment('uid') INT(10)"`
	Level      int       `json:"level" xorm:" default 0 comment('') INT(10)"`
	LevelType  int       `json:"level_type" xorm:" default 0 comment('') INT(10)"`
	Sum        string    `json:"sum" xorm:"not null default 0.00 comment('') DECIMAL(10,2)"`
	AllSum     string    `json:"all_sum" xorm:" default 0.00 comment('') DECIMAL(10,2)"`
	RunTime    string    `json:"run_time" xorm:" default '' comment('')  VARCHAR(255)"`
	CreateTime string    `json:"create_time" xorm:" default '' comment('')  VARCHAR(255)"`
	UpdateTime time.Time `json:"update_time" xorm:"comment('') TIMESTAMP"`
}
