package model

import (
	"time"
)

//

type MoneyReward struct {
	Id     int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uid    int       `json:"uid" xorm:"INT(11)"`
	Date   int       `json:"date" xorm:"default 0 INT(11)"`
	Time   time.Time `json:"time" xorm:"DATETIME"`
	Month  int       `json:"month" xorm:"default 0 INT(11)"`
	Amount string    `json:"amount" xorm:"default 0.00 DECIMAL(20,2)"`
}
