package model

import (
	"time"
)

type NewAcquisitionCfg struct {
	Id        int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	Title     string    `json:"title" xorm:"VARCHAR(255)"`
	Data      string    `json:"data" xorm:"VARCHAR(5000)"`
	IsShow    int       `json:"is_show" xorm:"default 0 INT(1)"`
	StartTime time.Time `json:"start_time" xorm:"DATETIME"`
	EndTime   time.Time `json:"end_time" xorm:"DATETIME"`
	RunTime   int       `json:"run_time" xorm:"default 0 INT(1)"`
}
