package model

type OneOrengeTaskBase struct {
	Id               int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	CoinId           int    `json:"coin_id" xorm:"default 0 INT(11)"`
	SignCondition    int    `json:"sign_condition" xorm:"default 0 comment('0无条件 1看完视频') INT(1)"`
	SignWayType      int    `json:"sign_way_type" xorm:"default 0 comment('签到玩法 0连续签到 1累计签到') INT(1)"`
	SignWay          string `json:"sign_way" xorm:"default '' comment('签到玩法') VARCHAR(255)"`
	MustSign         int    `json:"must_sign" xorm:"default 0 comment('强制签到') INT(1)"`
	WithdrawClearDay int    `json:"withdraw_clear_day" xorm:"default 0 comment('收益清空  未进入app天数') INT(11)"`
	BaseSignReward   string `json:"base_sign_reward" xorm:"default 0.00 comment('签到基础奖励') DECIMAL(20,2)"`
	AdvId            int    `json:"adv_id" xorm:"default 0 INT(11)"`
	VideoTotal       int    `json:"video_total" xorm:"default 0 INT(11)"`
	VideoReward      string `json:"video_reward" xorm:"default 0.00 comment('签到基础奖励') DECIMAL(20,2)"`
}
