package model

import (
	"time"
)

type TikTokTeamOrderRelate struct {
	Id         int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	CoinId     int       `json:"coin_id" xorm:"default 0 unique(coin_id) INT(11)"`
	Uid        int       `json:"uid" xorm:"default 0 unique(coin_id) INT(11)"`
	Amount     string    `json:"amount" xorm:"default 0.00000000 DECIMAL(20,8)"`
	Oid        string    `json:"oid" xorm:"default '' unique(coin_id) VARCHAR(255)"`
	Time       time.Time `json:"time" xorm:"DATETIME"`
	Commission string    `json:"commission" xorm:"default 0.00000000 DECIMAL(20,8)"`
	Pvd        string    `json:"pvd" xorm:"VARCHAR(255)"`
}
