package offical

import (
	"applet/app/db"
	"applet/app/db/offical/model"
)

func GetLianlianRefundOrdByOrdId(ordId, code string) (*model.LianlianRefundOrder, error) {
	var ord model.LianlianRefundOrder
	if has, err := db.Db.Where(" oid=? and ord_ids like ?", ordId, "%"+code+"%").Get(&ord); err != nil || !has {
		return nil, err
	}
	return &ord, nil
}
func GetLianlianRefundOrdByOrdIdAll(ordId string) (*model.LianlianRefundOrder, error) {
	var ord model.LianlianRefundOrder
	if has, err := db.Db.Where(" oid=? ", ordId).Get(&ord); err != nil || !has {
		return nil, err
	}
	return &ord, nil
}
