package model

import (
	"time"
)

type ExpressAgentMoneyFlow struct {
	Id          int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uid         int       `json:"uid" xorm:"default 0 INT(11)"`
	Type        int       `json:"type" xorm:"default 0 comment('0收入 1支出') INT(1)"`
	Time        time.Time `json:"time" xorm:"DATETIME"`
	Amount      string    `json:"amount" xorm:"default 0.00 DECIMAL(20,2)"`
	AfterAmount string    `json:"after_amount" xorm:"default 0.00 DECIMAL(20,2)"`
	Oid         string    `json:"oid" xorm:"VARCHAR(255)"`
	Title       string    `json:"title" xorm:"VARCHAR(255)"`
}
