package model

import (
	"time"
)

type LianlianRefundOrder struct {
	Id           int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	Oid          string    `json:"oid" xorm:"VARCHAR(255)"`
	Code         string    `json:"code" xorm:"VARCHAR(255)"`
	OrdIds       string    `json:"ord_ids" xorm:"VARCHAR(255)"`
	CreateTime   time.Time `json:"create_time" xorm:"DATETIME"`
	RefundTime   time.Time `json:"refund_time" xorm:"DATETIME"`
	Amount       float64   `json:"amount" xorm:"default 0.0000 DOUBLE(20,4)"`
	RealAmount   float64   `json:"real_amount" xorm:"default 0.0000 DOUBLE(20,4)"`
	Num          int       `json:"num" xorm:"default 0 INT(11)"`
	Memo         string    `json:"memo" xorm:"VARCHAR(255)"`
	State        string    `json:"state" xorm:"VARCHAR(255)"`
	RefundOid    string    `json:"refund_oid" xorm:"VARCHAR(255)"`
	RefundSysOid string    `json:"refund_sys_oid" xorm:"VARCHAR(255)"`
	RefuseMemo   string    `json:"refuse_memo" xorm:"VARCHAR(255)"`
}
