package md

// 缓存key统一管理， %s格式化为masterId
const (
	AppCfgCacheKey                = "%s:cfg_cache:%s" // 占位符： masterId， key的第一个字母
	VirtualCoinCfgCacheKey        = "%s:virtual_coin_cfg"
	FunctionPermissionCfgCacheKey = "%s:function_permission_cfg"
	VirtualCoinCfgAllCacheKey     = "%s:virtual_coin_cfg_all"
	PlanRewardCfgCacheKey         = "%s:plan_reward_cfg:%s" // 后面的为平台类型

	UserFinValidUpdateLock = "%s:user_fin_valid_update_lock:%s" // 用户余额更新锁（能拿到锁才能更新余额）

	OfficialProvinceCacheKey = "official_province_cache" //省份缓存key
	OfficialCityCacheKey     = "official_city_cache"     //城市缓存key
	OfficialCountyCacheKey   = "official_county_cache"   //乡镇缓存key

	CfgCacheTime = 86400
)
