package md

type PricePerm struct {
	Auth struct {
		ValidUser struct {
			Open string `json:"open"`
		} `json:"valid_user"`
		NewUser struct {
			Open string `json:"open"`
		} `json:"new_user"`
		UserLevel struct {
			Open  string `json:"open"`
			Value string `json:"value"`
		} `json:"user_level"`
		Onrecord struct {
			Open string `json:"open"`
		} `json:"onrecord"`
		InviteFriends struct {
			Open  string `json:"open"`
			Value string `json:"value"`
		} `json:"invite_friends"`
		Commission struct {
			Open  string `json:"open"`
			Days  string `json:"days"`
			Money string `json:"money"`
		} `json:"commission"`
		NewDays struct {
			Open string `json:"open"`
			Days string `json:"days"`
		} `json:"new_days"`
		TeamMembers struct {
			Open   string `json:"open"`
			Amount string `json:"amount"`
		} `json:"team_members"`
		Orders struct {
			Open   string `json:"open"`
			Days   string `json:"days"`
			Amount string `json:"amount"`
		} `json:"orders"`
	} `json:"auth"`
	AuthType string `json:"auth_type"`
}
