package utils

import (
	"math/rand"
	"time"
)

func RandFloats(min, max float64) float64 {
	rand.Seed(time.Now().UnixNano())
	return min + rand.Float64()*(max-min)
}

func RandInt(max int) int {
	rand.Seed(time.Now().UnixNano()) // seed后随机数可变
	return rand.Intn(max)            // 0-100的随机数
}
func RandIntRand(min, max int) int {
	if min >= max || min == 0 || max == 0 {
		if max == 0 {
			max = min
		}
		return max
	}
	return rand.Intn(max-min) + min
}
