package model

import (
	"time"
)

type CloudIssuanceCopyWriting struct {
	Id                                       int       `json:"id" xorm:"pk autoincr INT(11)"`
	Provider                                 string    `json:"provider"`
	ProviderName                             string    `json:"provider_name"`
	CloudIssuanceCopyWritingForFriendsCircle string    `json:"cloud_issuance_copy_writing_for_friends_circle"`
	CloudIssuanceCopyWritingForGroup         string    `json:"cloud_issuance_copy_writing_for_group"`
	CreateAt                                 time.Time `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('创建时间') DATETIME"`
	UpdateAt                                 time.Time `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('更新时间') DATETIME"`
}
