package model

import (
	"time"
)

type CloudIssuanceUserFreeRobotRecords struct {
	Id       int       `json:"id" xorm:"pk autoincr INT(11)"`
	Uid      int       `json:"uid" xorm:"not null default 0 comment('用户id') INT(11)"`
	RobotId  int       `json:"robot_id" xorm:"not null default 0 comment('机器人id') INT(11)"`
	State    int       `json:"state" xorm:"not null default 1 comment('状态(1 正在使用 2已过期)') TINYINT(1)"`
	EndTime  time.Time `json:"end_time" xorm:"not null default 'CURRENT_TIMESTAMP' comment('过期时间') DATETIME"`
	CreateAt time.Time `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('创建时间') DATETIME"`
	UpdateAt time.Time `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('更新时间') DATETIME"`
}
