package model

import "time"

type CloudIssuanceMasterBuyOrd struct {
	Id            int       `json:"id"`
	OrdId         string    `json:"ord_id"`
	MasterId      int       `json:"master_id"`
	Nickname      string    `json:"nickname"`
	Phone         int64     `json:"phone"`
	Uid           int       `json:"uid"`
	UserPhone     string    `json:"user_phone"`
	RobotId       int       `json:"robot_id"`
	Month         int       `json:"month"`
	CostPrice     string    `json:"cost_price"`
	BeforeBalance string    `json:"before_balance"`
	Balance       string    `json:"balance"`
	Memo          string    `json:"memo"`
	State         int       `json:"state"`
	CreateAt      time.Time `json:"create_at" xorm:"not null default CURRENT_TIMESTAMP comment('创建时间') TIMESTAMP"`
	UpdateAt      time.Time `json:"update_at" xorm:"not null default CURRENT_TIMESTAMP comment('更新时间') TIMESTAMP"`
}
