package md

type BuyPackageReq struct {
	PackageId int `json:"package_id"` //套餐id
}

type GrabRedPackageReq struct {
	UserId                     string `json:"user_id"`                         //im用户id
	SendRedPackageUserNikeName string `json:"send_red_package_user_nike_name"` //红包发送者-im用户昵称
	SendRedPacketAvatarUrl     string `json:"send_red_packet_avatar_url"`      //红包发送者-im用户头像
	DeviceId                   string `json:"device_id"`                       //设备id
	Token                      string `json:"token"`                           //im-token
	ReceiverType               int    `json:"receiver_type"`                   //接收者类型，1：user;2:group
	ReceiverId                 int64  `json:"receiver_id"`                     //用户id或者群组id
	SendTime                   int64  `json:"send_time"`                       //消息发送时间戳，精确到毫秒
	RedPackageId               int    `json:"red_package_id"`                  //红包id
	RedPackageCover            string `json:"red_package_cover"`               //红包封面
}

type RedPackageDetailResp struct {
	ImUserId      string `json:"im_user_id"`      //im用户id
	UserNickName  string `json:"user_nick_name"`  //im用户昵称
	UserAvatarUrl string `json:"user_avatar_url"` //im用户昵称
	Amount        string `json:"amount"`          //金额
	ReceiveAt     string `json:"received_at"`     //领取时间
}
