package md

type CanalUserRelate struct {
	Id         string `json:"id" xorm:"pk autoincr comment('主键') BIGINT(10)"`
	ParentUid  string `json:"parent_uid" xorm:"not null default 0 comment('上级会员ID') unique(idx_union_u_p_id) INT(20)"`
	Uid        string `json:"uid" xorm:"not null default 0 comment('关联UserID') unique(idx_union_u_p_id) INT(20)"`
	Level      string `json:"level" xorm:"not null default 1 comment('推广等级(1直属，大于1非直属)') INT(10)"`
	InviteTime string `json:"invite_time" xorm:"not null default CURRENT_TIMESTAMP comment('邀请时间') TIMESTAMP"`
}

//
type CanalUserRelateMessage[T any] struct {
	Data     []T      `json:"data"`
	Database string   `json:"database"`
	ES       int64    `json:"es"`
	ID       int64    `json:"id"`
	IsDdl    bool     `json:"isDdl"`
	Old      []T      `json:"old"`
	PkNames  []string `json:"pkNames"`
	Table    string   `json:"table"`
	TS       int64    `json:"ts"`
	Type     string   `json:"type"`
}
