package md

const (
	MallGreenCoinConsume       = "zhios.mall_green_coin_consume.exchange"
	MallGreenCoinConsumeKeyErr = "mall_green_coin_consume_err"
)

type ZhiosCapitalPoolOrderTotal struct {
	Uid            []string `json:"uid"`
	Mid            string   `json:"mid"`
	Runtime        int64    `json:"runtime"`
	TotalTime      int64    `json:"totalTime"`
	BonusLevelType int      `json:"bonusLevelType"`
	Level          string   `json:"level"`
}
type ZhiosExpressOrderFails struct {
	Uid    string `json:"uid"`
	Mid    string `json:"mid"`
	Oid    string `json:"oid"`
	IsFail string `json:"is_fail"`
}
type ZhiosWithdraw struct {
	Id  string `json:"id"`
	Mid string `json:"mid"`
}
type ZhiosOrderBuckle struct {
	Oid string `json:"oid"`
	Uid string `json:"uid"`
	Mid string `json:"mid"`
}
type ZhiosMallConsume struct {
	Uid    string `json:"uid"`
	Mid    string `json:"mid"`
	Oid    string `json:"oid"`
	Amount string `json:"amount"`
	Err    string `json:"err"`
}

type ZhiosOrderFree struct {
	ItemId    string `json:"item_id"`
	OptPvd    string `json:"opt_pvd"`
	OrderType string `json:"order_type"`
	Pid       string `json:"pid"`
	Oid       string `json:"oid"`
	Uid       string `json:"uid"`
	Mid       string `json:"mid"`
}
type ZhiosAppreciation struct {
	Uid  string `json:"uid"`
	Mid  string `json:"mid"`
	Oid  string `json:"oid"`
	Type string `json:"type"`
	Ext  string `json:"ext"`
}
type ZhiosGuideStoreOrder struct {
	Uid          string `json:"uid"`
	Mid          string `json:"mid"`
	Oid          string `json:"oid"`
	StoreId      string `json:"store_id"`
	DeductPrice  string `json:"deduct_price"`
	ItemTitle    string `json:"item_title"`
	Pvd          string `json:"pvd"`
	SubsidyPrice string `json:"subsidy_price"`
	Fee          string `json:"fee"`
	State        string `json:"state"`
	ItemId       string `json:"item_id"`
	Type         string `json:"type"`
	CoinId       string `json:"coin_id"`
	Stock        string `json:"stock"`
}
