package db

import (
	"applet/mall/db/model"
	"xorm.io/xorm"
)

func AddOrUpdateMallSkuAddPriceRule(session *xorm.Session, addPriceRule, supplyGoodsSkuCode string) error {
	var rule model.MallSkuAddPriceRule
	get, err := session.Where("supply_goods_sku_code = ?", supplyGoodsSkuCode).Get(&rule)
	if err != nil {
		return err
	}
	if get {
		rule.AddPriceRule = addPriceRule
		_, err := session.ID(rule.Id).Update(&rule)
		if err != nil {
			return err
		}
		return nil
	} else {
		rule.AddPriceRule = addPriceRule
		rule.SupplyGoodsSkuCode = supplyGoodsSkuCode
		one, err := session.InsertOne(&rule)
		if err != nil || one == 0 {
			return err
		}
		return nil
	}
}
