package model

import (
	"time"
)

type MallShippingTemplate struct {
	Id              int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	Name            string    `json:"name" xorm:"comment('模板名称') VARCHAR(255)"`
	CreateTime      time.Time `json:"create_time" xorm:"created default 'CURRENT_TIMESTAMP' comment('创建时间') DATETIME"`
	UpdateTime      time.Time `json:"update_time" xorm:"updated default 'CURRENT_TIMESTAMP' comment('更新时间') DATETIME"`
	Data            string    `json:"data" xorm:"comment('运费数据') TEXT"`
	CalculateType   int       `json:"calculate_type" xorm:"comment('计费方式：1按重量 2按件数') TINYINT(1)"`
	MerchantId      int       `json:"merchant_id" xorm:"comment('商家id')"`
	CloudChainTemId string    `json:"cloud_chain_tem_id" xorm:"comment('云链额外字段  1688的运费模版id') VARCHAR(255)"`
}
