package db

import (
	"applet/app/db/model"
	"applet/app/utils"
	"time"
	"xorm.io/xorm"
)

//

func GetMoneyReward(eg *xorm.Engine, uid, date, month string) *model.MoneyReward {
	var data model.MoneyReward
	get, err := eg.Where("uid=? and date=?", uid, date).Get(&data)
	if err != nil {
		return nil
	}
	if get == false {
		data = model.MoneyReward{
			Uid:    utils.StrToInt(uid),
			Date:   utils.StrToInt(date),
			Time:   time.Now(),
			Month:  utils.StrToInt(month),
			Amount: "",
		}
		eg.Insert(&data)
	}
	return &data
}
