package model

import "time"

type Group struct {
	Id                int64     // 群组id
	Name              string    // 组名
	AvatarUrl         string    // 头像
	Introduction      string    // 群简介
	UserNum           int32     // 群组人数
	IsAllMemberBanned int32     // 是否全员禁言(1:是 2:否)
	MasterId          int64     // 站长id
	Extra             string    // 附加字段
	CreateTime        time.Time // 创建时间
	UpdateTime        time.Time // 更新时间
}
