package model

import (
	"time"
)

type GuideStoreOrder struct {
	Id             int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uid            int       `json:"uid" xorm:"default 0 INT(11)"`
	Time           time.Time `json:"time" xorm:"DATETIME"`
	StoreId        int       `json:"store_id" xorm:"default 0 INT(11)"`
	Gid            string    `json:"gid" xorm:"VARCHAR(255)"`
	State          int       `json:"state" xorm:"default 0 INT(11)"`
	DeductAt       time.Time `json:"deduct_at" xorm:"DATETIME"`
	Title          string    `json:"title" xorm:"VARCHAR(255)"`
	Pvd            string    `json:"pvd" xorm:"VARCHAR(255)"`
	SubsidyPrice   string    `json:"subsidy_price" xorm:"DECIMAL(20,2)"`
	Fee            string    `json:"fee" xorm:"DECIMAL(20,2)"`
	DeductPrice    string    `json:"deduct_price" xorm:"DECIMAL(20,2)"`
	Price          string    `json:"price" xorm:"DECIMAL(20,2)"`
	Oid            string    `json:"oid" xorm:"VARCHAR(255)"`
	DeductState    int       `json:"deduct_state" xorm:"default 0 INT(1)"`
	SettleAt       int       `json:"settle_at" xorm:"default 0 INT(11)"`
	PvdOid         string    `json:"pvd_oid" xorm:"unique VARCHAR(255)"`
	OldDeductPrice string    `json:"old_deduct_price" xorm:"DECIMAL(20,2)"`
}
