package model

import "time"

type MasterAreaVisitsFlows struct {
	Id           int       `json:"id"`
	Ip           string    `json:"ip"`
	MasterId     int       `json:"master_id"`
	Date         string    `json:"date"`
	CountryName  string    `json:"country_name"`
	ProvinceName string    `json:"province_name"`
	ProvinceId   string    `json:"province_id"`
	CityName     string    `json:"city_name"`
	CityId       string    `json:"city_id"`
	Pvd          string    `json:"pvd"`
	CreateAt     time.Time `json:"create_at" xorm:"not null default CURRENT_TIMESTAMP comment('创建时间') TIMESTAMP"`
	UpdateAt     time.Time `json:"update_at" xorm:"not null default CURRENT_TIMESTAMP comment('创建时间') TIMESTAMP"`
}
