package model

type NewcomersFreePriceType struct {
	Id                int    `json:"id" xorm:"not null pk autoincr INT(10)"`
	PriceName         string `json:"price_name" xorm:"not null comment('价格类型') VARCHAR(255)"`
	NeedQuan          int    `json:"need_quan" xorm:"not null default 0 comment('需要的福利券') INT(11)"`
	CreatedAt         int    `json:"created_at" xorm:"not null default 0 INT(11)"`
	UpdatedAt         int    `json:"updated_at" xorm:"not null default 0 INT(11)"`
	IsShow            int    `json:"is_show" xorm:"not null default 1 comment('是否开启') TINYINT(1)"`
	IsDel             int    `json:"is_del" xorm:"not null default 0 INT(11)"`
	NeedUseQuan       int    `json:"need_use_quan" xorm:"not null default 1 INT(1)"`
	NeedLimitBuy      int    `json:"need_limit_buy" xorm:"not null default 0 INT(1)"`
	Auth              string `json:"auth" xorm:"not null comment('权限') TEXT"`
	LimitBuyCondition string `json:"limit_buy_condition" xorm:"not null comment('限购条件') TEXT"`
}
