package model

type UserStatistics struct {
	Id              int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	ImportFinTotal  string `json:"import_fin_total" xorm:"comment('导入的累计收益') DECIMAL(30,4)"`
	FinTotal        string `json:"fin_total" xorm:"comment('系统统计的累计收益') DECIMAL(30,4)"`
	Uid             int    `json:"uid" xorm:"default 0 index INT(11)"`
	Month           string `json:"month" xorm:"default 0.0000 DECIMAL(30,4)"`
	LastMonth       string `json:"last_month" xorm:"default 0.0000 DECIMAL(30,4)"`
	MonthChangeTime int    `json:"month_change_time" xorm:"default 0 INT(11)"`
	WaitSettle      string `json:"wait_settle" xorm:"default 0.0000 DECIMAL(30,4)"`
	Today           string `json:"today" xorm:"DECIMAL(30,4)"`
	Yestday         string `json:"yestday" xorm:"DECIMAL(30,4)"`
}
