package offical

import (
	"applet/app/db"
	"applet/app/db/offical/model"
)

func GetLianlianOrderQrcode(oid string) *[]model.LianlianOrderQrcode {
	var data []model.LianlianOrderQrcode
	err := db.Db.Where("oid=?", oid).Find(&data)
	if err != nil {
		return nil
	}
	return &data
}
func GetLianlianOrderQrcodeWithCode(oid, code string) *model.LianlianOrderQrcode {
	var data model.LianlianOrderQrcode
	get, err := db.Db.Where("oid=? and sub_oid=?", oid, code).Get(&data)
	if get == false || err != nil {
		return nil
	}
	return &data
}
