package model

import (
	"time"
)

type LianlianUser struct {
	Id           int       `json:"id" xorm:"not null pk autoincr comment('自增id') INT(11)"`
	Uid          int       `json:"uid" xorm:"not null default 0 comment('主用户id') INT(11)"`
	Amount       string    `json:"amount" xorm:"not null default '0' comment('余额') VARCHAR(255)"`
	CreditAmount string    `json:"credit_amount" xorm:"not null default '100' comment('授信额度') VARCHAR(255)"`
	State        int       `json:"state" xorm:"not null default 1 comment('状态(1:正常 2:冻结)') TINYINT(2)"`
	Memo         string    `json:"memo" xorm:"not null default '' comment('备注') VARCHAR(255)"`
	CreateAt     time.Time `json:"create_at" xorm:"not null default CURRENT_TIMESTAMP comment('创建时间') DATETIME"`
	UpdateAt     time.Time `json:"update_at" xorm:"default CURRENT_TIMESTAMP comment('更新时间') DATETIME"`
}
