package model

import (
	"time"
)

type CloudIssuanceGoodsCategory struct {
	Id       int       `json:"id" xorm:"pk autoincr INT(11)"`
	Name     string    `json:"name" xorm:"not null default '' comment('分类名称') VARCHAR(255)"`
	Sort     int       `json:"sort" xorm:"not null default 0 comment('排序') INT(11)"`
	CreateAt time.Time `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('创建时间') DATETIME"`
	UpdateAt time.Time `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('更新时间') DATETIME"`
}
