package model

import (
	"time"
)

type CloudIssuanceUserRobotBindFollowGroup struct {
	Id                    int       `json:"id" xorm:"pk autoincr INT(11)"`
	BindId                int       `json:"bind_id" xorm:"comment('绑定id')"`
	Name                  string    `json:"name" xorm:"comment('跟发-群名称')"`
	FollowChatRoomId      string    `json:"follow_chat_room_id" xorm:"comment('跟发-微信群id')"`
	FollowChatRoomOwner   string    `json:"follow_chat_room_owner" xorm:"comment('跟发-群所有者')"`
	FollowChatMemberCount int       `json:"follow_chat_member_count" xorm:"comment('跟发-群成员数')"`
	FollowBigHeadImgUrl   string    `json:"follow_big_head_img_url" xorm:"comment('跟发-大的群头像')"`
	FollowSmallHeadImgUrl string    `json:"follow_small_head_img_url" xorm:"comment('跟发-小的群头像')"`
	CreateAt              time.Time `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('创建时间') DATETIME"`
	UpdateAt              time.Time `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('更新时间') DATETIME"`
}
