package model

import (
	"time"
)

type CloudIssuanceUserRobotBindFollowUser struct {
	Id                    int       `json:"id" xorm:"pk autoincr INT(11)"`
	BindId                int       `json:"bind_id" xorm:"comment('绑定id')"`
	MonitorHostWxId       string    `json:"monitor_host_wx_id" xorm:"comment('监听主持人微信id')"`
	MonitorHostWxNickname string    `json:"monitor_host_wx_nickname" xorm:"comment('监听主持人微信昵称')"`
	MonitorHostWxHeadUrl  string    `json:"monitor_host_wx_head_url" xorm:"comment('监听主持人微信头像')"`
	CreateAt              time.Time `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('创建时间') DATETIME"`
	UpdateAt              time.Time `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('更新时间') DATETIME"`
}
