package enum

type CloudIssuanceUserRobotKind int

const (
	ExclusiveRobot = 1
	ShareRobot     = 2
)

func (gt CloudIssuanceUserRobotKind) String() string {
	switch gt {
	case ExclusiveRobot:
		return "独享机器人"
	case ShareRobot:
		return "共享机器人"
	default:
		return "未知"
	}
}

type CloudIssuanceUserRobotType int

const (
	IssuingRobot       = 1
	ForwardRobot       = 2
	RebateRobot        = 3
	AllAroundRobot     = 4
	SmallRobot         = 5
	SendToMomentsRobot = 6
)

func (gt CloudIssuanceUserRobotType) String() string {
	switch gt {
	case IssuingRobot:
		return "发单机器人"
	case ForwardRobot:
		return "转发机器人"
	case RebateRobot:
		return "返利机器人"
	case AllAroundRobot:
		return "全能机器人"
	case SmallRobot:
		return "小型机器人"
	case SendToMomentsRobot:
		return "发圈机器人"
	default:
		return "未知"
	}
}
