package enum

type CloudIssuanceGoodsProvider string

const (
	ProviderForJd     = "jd"
	ProviderForTaoBao = "taobao"
	ProviderForSuNing = "suning"
	ProviderForPdd    = "pdd"
	ProviderForKaoLa  = "kaola"
	ProviderForVip    = "vip"
)

func (gt CloudIssuanceGoodsProvider) String() string {
	switch gt {
	case ProviderForJd:
		return "京东"
	case ProviderForTaoBao:
		return "淘宝"
	case ProviderForSuNing:
		return "苏宁"
	case ProviderForPdd:
		return "拼多多"
	case ProviderForKaoLa:
		return "考拉"
	case ProviderForVip:
		return "唯品会"
	default:
		return "未知"
	}
}
