package md

type CallbackRequest struct {
	Account     string `json:"account"`     //账号
	MessageType int    `json:"messageType"` //消息类型(0:好友请求 1:群邀请 2: 群名片 3:个人名片 4:下线 5:私聊文本消息 6:私聊图片消息 7:聊视频消息 8:私聊语音消息 9:群聊文本消息 10:群聊图片消息 11:群聊视频消息 12:群语音消息 13:私其他类型消息 4:群聊其他类型消)
	RobotId     int    `json:"robotId"`     //机器人id
	WcId        string `json:"wcId"`        //微信号
	Data        struct {
		Content   string `json:"content"`   //消息体
		FromGroup string `json:"fromGroup"` //发送群号
		FromUser  string `json:"fromUser"`  //发送微信号
		ToUser    string `json:"toUser"`    //接收微信号
		MsgId     string `json:"msgId"`     //消息id
		MsgType   string `json:"msgType"`   //其他消息具体类型
		IsGroup   bool   `json:"isGroup"`   //是否为群组消息
		Timestamp string `json:"timestamp"` //时间
	} `json:"data"`
}
