package md

type CanalMallOrdForYouMiShang struct {
	Data []struct {
		OrdId                    string      `json:"ord_id"`
		MainOrdId                string      `json:"main_ord_id"`
		Uid                      string      `json:"uid"`
		BuyerName                string      `json:"buyer_name"`
		BuyerPhone               string      `json:"buyer_phone"`
		CostPrice                string      `json:"cost_price"`
		State                    string      `json:"state"`
		PayTime                  interface{} `json:"pay_time"`
		PayChannel               string      `json:"pay_channel"`
		ShippingTime             string      `json:"shipping_time"`
		LogisticCompany          string      `json:"logistic_company"`
		LogisticNum              string      `json:"logistic_num"`
		ReceiverPhone            string      `json:"receiver_phone"`
		ReceiverName             string      `json:"receiver_name"`
		ReceiverAddressDetail    string      `json:"receiver_address_detail"`
		ShippingType             string      `json:"shipping_type"`
		CouponDiscount           string      `json:"coupon_discount"`
		DiscountPrice            string      `json:"discount_price"`
		ReturnInsuranceFee       string      `json:"return_insurance_fee"`
		IsReceipt                string      `json:"is_receipt"`
		ShippingFee              string      `json:"shipping_fee"`
		Comment                  string      `json:"comment"`
		ProvinceName             string      `json:"province_name"`
		CityName                 string      `json:"city_name"`
		CountyName               string      `json:"county_name"`
		PayNum                   string      `json:"pay_num"`
		ConfirmTime              string      `json:"confirm_time"`
		EstimateIntegral         string      `json:"estimate_integral"`
		EstimateCommission       string      `json:"estimate_commission"`
		CreateTime               string      `json:"create_time"`
		UpdateTime               string      `json:"update_time"`
		DeletedTime              interface{} `json:"deleted_time"`
		FinishTime               interface{} `json:"finish_time"`
		OrderType                string      `json:"order_type"`
		Data                     string      `json:"data"`
		GroupBuyCommission       string      `json:"group_buy_commission"`
		GroupBuyCommissionTime   interface{} `json:"group_buy_commission_time"`
		CommissionTime           string      `json:"commission_time"`
		GroupBuySettleTime       interface{} `json:"group_buy_settle_time"`
		SettleTime               interface{} `json:"settle_time"`
		CostVirtualCoin          string      `json:"cost_virtual_coin"`
		VirtualCoinId            string      `json:"virtual_coin_id"`
		UserCouponId             string      `json:"user_coupon_id"`
		ShareUid                 string      `json:"share_uid"`
		IsConsign                string      `json:"is_consign"`
		UserLevelData            string      `json:"user_level_data"`
		GoodsId                  string      `json:"goods_id"`
		IsHasUserLevel           string      `json:"is_has_user_level"`
		UserLevel                string      `json:"user_level"`
		IsGiveUserLevel          string      `json:"is_give_user_level"`
		ReturnMoneySettleAt      string      `json:"return_money_settle_at"`
		IsSetReduce              string      `json:"is_set_reduce"`
		DeductCoin               string      `json:"deduct_coin"`
		ConsumptionCoinReward    string      `json:"consumption_coin_reward"`
		DeductCoinReward         string      `json:"deduct_coin_reward"`
		IsSubsidyEnd             string      `json:"is_subsidy_end"`
		RunTime                  string      `json:"run_time"`
		SupplierMerchantId       string      `json:"supplier_merchant_id"`
		SupplierOrdId            string      `json:"supplier_ord_id"`
		PayOnBehalfUid           string      `json:"pay_on_behalf_uid"`
		IsSetSubsidy             string      `json:"is_set_subsidy"`
		ProvinceId               string      `json:"province_id"`
		CityId                   string      `json:"city_id"`
		CountyId                 string      `json:"county_id"`
		CurrencyCode             string      `json:"currency_code"`
		TotalShippingFee         string      `json:"total_shipping_fee"`
		StoreOrdId               string      `json:"store_ord_id"`
		IsSetOutAch              string      `json:"is_set_out_ach"`
		SupplierStoreOrdId       string      `json:"supplier_store_ord_id"`
		TransactionId            string      `json:"transaction_id"`
		PayData                  interface{} `json:"pay_data"`
		SubOrderPayType          interface{} `json:"sub_order_pay_type"`
		ConsumptionCoinRewardOut string      `json:"consumption_coin_reward_out"`
		DeductCoinRewardOut      string      `json:"deduct_coin_reward_out"`
		IcbcIntegral             string      `json:"icbc_integral"`
		ParentUid                string      `json:"parent_uid"`
		SupplierCloudChainOrdId  string      `json:"supplier_cloud_chain_ord_id"`
		GoodsType                string      `json:"goods_type"`
		RewardCoinId             string      `json:"reward_coin_id"`
		IsVirtualGoods           string      `json:"is_virtual_goods"`
		RewardCoinAmount         string      `json:"reward_coin_amount"`
		RewardVirtualUserLv      string      `json:"reward_virtual_user_lv"`
		BaseCommission           string      `json:"base_commission"`
		PlatformCostPrice        string      `json:"platform_cost_price"`
		IsSettle                 string      `json:"is_settle"`
		Pvd                      string      `json:"pvd"`
		PointId                  string      `json:"point_id"`
		MacaoAddress             string      `json:"macao_address"`
		AddressType              string      `json:"address_type"`
		VirtualGoodsInfo         string      `json:"virtual_goods_info"`
		PayWay                   string      `json:"pay_way"`
	} `json:"data"`
	Database  string `json:"database"`
	Es        int64  `json:"es"`
	Id        int    `json:"id"`
	IsDdl     bool   `json:"isDdl"`
	MysqlType struct {
		OrdId                    string `json:"ord_id"`
		MainOrdId                string `json:"main_ord_id"`
		Uid                      string `json:"uid"`
		BuyerName                string `json:"buyer_name"`
		BuyerPhone               string `json:"buyer_phone"`
		CostPrice                string `json:"cost_price"`
		State                    string `json:"state"`
		PayTime                  string `json:"pay_time"`
		PayChannel               string `json:"pay_channel"`
		ShippingTime             string `json:"shipping_time"`
		LogisticCompany          string `json:"logistic_company"`
		LogisticNum              string `json:"logistic_num"`
		ReceiverPhone            string `json:"receiver_phone"`
		ReceiverName             string `json:"receiver_name"`
		ReceiverAddressDetail    string `json:"receiver_address_detail"`
		ShippingType             string `json:"shipping_type"`
		CouponDiscount           string `json:"coupon_discount"`
		DiscountPrice            string `json:"discount_price"`
		ReturnInsuranceFee       string `json:"return_insurance_fee"`
		IsReceipt                string `json:"is_receipt"`
		ShippingFee              string `json:"shipping_fee"`
		Comment                  string `json:"comment"`
		ProvinceName             string `json:"province_name"`
		CityName                 string `json:"city_name"`
		CountyName               string `json:"county_name"`
		PayNum                   string `json:"pay_num"`
		ConfirmTime              string `json:"confirm_time"`
		EstimateIntegral         string `json:"estimate_integral"`
		EstimateCommission       string `json:"estimate_commission"`
		CreateTime               string `json:"create_time"`
		UpdateTime               string `json:"update_time"`
		DeletedTime              string `json:"deleted_time"`
		FinishTime               string `json:"finish_time"`
		OrderType                string `json:"order_type"`
		Data                     string `json:"data"`
		GroupBuyCommission       string `json:"group_buy_commission"`
		GroupBuyCommissionTime   string `json:"group_buy_commission_time"`
		CommissionTime           string `json:"commission_time"`
		GroupBuySettleTime       string `json:"group_buy_settle_time"`
		SettleTime               string `json:"settle_time"`
		CostVirtualCoin          string `json:"cost_virtual_coin"`
		VirtualCoinId            string `json:"virtual_coin_id"`
		UserCouponId             string `json:"user_coupon_id"`
		ShareUid                 string `json:"share_uid"`
		IsConsign                string `json:"is_consign"`
		UserLevelData            string `json:"user_level_data"`
		GoodsId                  string `json:"goods_id"`
		IsHasUserLevel           string `json:"is_has_user_level"`
		UserLevel                string `json:"user_level"`
		IsGiveUserLevel          string `json:"is_give_user_level"`
		ReturnMoneySettleAt      string `json:"return_money_settle_at"`
		IsSetReduce              string `json:"is_set_reduce"`
		DeductCoin               string `json:"deduct_coin"`
		ConsumptionCoinReward    string `json:"consumption_coin_reward"`
		DeductCoinReward         string `json:"deduct_coin_reward"`
		IsSubsidyEnd             string `json:"is_subsidy_end"`
		RunTime                  string `json:"run_time"`
		SupplierMerchantId       string `json:"supplier_merchant_id"`
		SupplierOrdId            string `json:"supplier_ord_id"`
		PayOnBehalfUid           string `json:"pay_on_behalf_uid"`
		IsSetSubsidy             string `json:"is_set_subsidy"`
		ProvinceId               string `json:"province_id"`
		CityId                   string `json:"city_id"`
		CountyId                 string `json:"county_id"`
		CurrencyCode             string `json:"currency_code"`
		TotalShippingFee         string `json:"total_shipping_fee"`
		StoreOrdId               string `json:"store_ord_id"`
		IsSetOutAch              string `json:"is_set_out_ach"`
		SupplierStoreOrdId       string `json:"supplier_store_ord_id"`
		TransactionId            string `json:"transaction_id"`
		PayData                  string `json:"pay_data"`
		SubOrderPayType          string `json:"sub_order_pay_type"`
		ConsumptionCoinRewardOut string `json:"consumption_coin_reward_out"`
		DeductCoinRewardOut      string `json:"deduct_coin_reward_out"`
		IcbcIntegral             string `json:"icbc_integral"`
		ParentUid                string `json:"parent_uid"`
		SupplierCloudChainOrdId  string `json:"supplier_cloud_chain_ord_id"`
		GoodsType                string `json:"goods_type"`
		RewardCoinId             string `json:"reward_coin_id"`
		IsVirtualGoods           string `json:"is_virtual_goods"`
		RewardCoinAmount         string `json:"reward_coin_amount"`
		RewardVirtualUserLv      string `json:"reward_virtual_user_lv"`
		BaseCommission           string `json:"base_commission"`
		PlatformCostPrice        string `json:"platform_cost_price"`
		IsSettle                 string `json:"is_settle"`
		Pvd                      string `json:"pvd"`
		PointId                  string `json:"point_id"`
		MacaoAddress             string `json:"macao_address"`
		AddressType              string `json:"address_type"`
		VirtualGoodsInfo         string `json:"virtual_goods_info"`
		PayWay                   string `json:"pay_way"`
	} `json:"mysqlType"`
	Old []struct {
		State       string      `json:"state"`
		ConfirmTime interface{} `json:"confirm_time"`
		UpdateTime  string      `json:"update_time"`
	} `json:"old"`
	PkNames []string `json:"pkNames"`
	Sql     string   `json:"sql"`
	SqlType struct {
		OrdId                    int `json:"ord_id"`
		MainOrdId                int `json:"main_ord_id"`
		Uid                      int `json:"uid"`
		BuyerName                int `json:"buyer_name"`
		BuyerPhone               int `json:"buyer_phone"`
		CostPrice                int `json:"cost_price"`
		State                    int `json:"state"`
		PayTime                  int `json:"pay_time"`
		PayChannel               int `json:"pay_channel"`
		ShippingTime             int `json:"shipping_time"`
		LogisticCompany          int `json:"logistic_company"`
		LogisticNum              int `json:"logistic_num"`
		ReceiverPhone            int `json:"receiver_phone"`
		ReceiverName             int `json:"receiver_name"`
		ReceiverAddressDetail    int `json:"receiver_address_detail"`
		ShippingType             int `json:"shipping_type"`
		CouponDiscount           int `json:"coupon_discount"`
		DiscountPrice            int `json:"discount_price"`
		ReturnInsuranceFee       int `json:"return_insurance_fee"`
		IsReceipt                int `json:"is_receipt"`
		ShippingFee              int `json:"shipping_fee"`
		Comment                  int `json:"comment"`
		ProvinceName             int `json:"province_name"`
		CityName                 int `json:"city_name"`
		CountyName               int `json:"county_name"`
		PayNum                   int `json:"pay_num"`
		ConfirmTime              int `json:"confirm_time"`
		EstimateIntegral         int `json:"estimate_integral"`
		EstimateCommission       int `json:"estimate_commission"`
		CreateTime               int `json:"create_time"`
		UpdateTime               int `json:"update_time"`
		DeletedTime              int `json:"deleted_time"`
		FinishTime               int `json:"finish_time"`
		OrderType                int `json:"order_type"`
		Data                     int `json:"data"`
		GroupBuyCommission       int `json:"group_buy_commission"`
		GroupBuyCommissionTime   int `json:"group_buy_commission_time"`
		CommissionTime           int `json:"commission_time"`
		GroupBuySettleTime       int `json:"group_buy_settle_time"`
		SettleTime               int `json:"settle_time"`
		CostVirtualCoin          int `json:"cost_virtual_coin"`
		VirtualCoinId            int `json:"virtual_coin_id"`
		UserCouponId             int `json:"user_coupon_id"`
		ShareUid                 int `json:"share_uid"`
		IsConsign                int `json:"is_consign"`
		UserLevelData            int `json:"user_level_data"`
		GoodsId                  int `json:"goods_id"`
		IsHasUserLevel           int `json:"is_has_user_level"`
		UserLevel                int `json:"user_level"`
		IsGiveUserLevel          int `json:"is_give_user_level"`
		ReturnMoneySettleAt      int `json:"return_money_settle_at"`
		IsSetReduce              int `json:"is_set_reduce"`
		DeductCoin               int `json:"deduct_coin"`
		ConsumptionCoinReward    int `json:"consumption_coin_reward"`
		DeductCoinReward         int `json:"deduct_coin_reward"`
		IsSubsidyEnd             int `json:"is_subsidy_end"`
		RunTime                  int `json:"run_time"`
		SupplierMerchantId       int `json:"supplier_merchant_id"`
		SupplierOrdId            int `json:"supplier_ord_id"`
		PayOnBehalfUid           int `json:"pay_on_behalf_uid"`
		IsSetSubsidy             int `json:"is_set_subsidy"`
		ProvinceId               int `json:"province_id"`
		CityId                   int `json:"city_id"`
		CountyId                 int `json:"county_id"`
		CurrencyCode             int `json:"currency_code"`
		TotalShippingFee         int `json:"total_shipping_fee"`
		StoreOrdId               int `json:"store_ord_id"`
		IsSetOutAch              int `json:"is_set_out_ach"`
		SupplierStoreOrdId       int `json:"supplier_store_ord_id"`
		TransactionId            int `json:"transaction_id"`
		PayData                  int `json:"pay_data"`
		SubOrderPayType          int `json:"sub_order_pay_type"`
		ConsumptionCoinRewardOut int `json:"consumption_coin_reward_out"`
		DeductCoinRewardOut      int `json:"deduct_coin_reward_out"`
		IcbcIntegral             int `json:"icbc_integral"`
		ParentUid                int `json:"parent_uid"`
		SupplierCloudChainOrdId  int `json:"supplier_cloud_chain_ord_id"`
		GoodsType                int `json:"goods_type"`
		RewardCoinId             int `json:"reward_coin_id"`
		IsVirtualGoods           int `json:"is_virtual_goods"`
		RewardCoinAmount         int `json:"reward_coin_amount"`
		RewardVirtualUserLv      int `json:"reward_virtual_user_lv"`
		BaseCommission           int `json:"base_commission"`
		PlatformCostPrice        int `json:"platform_cost_price"`
		IsSettle                 int `json:"is_settle"`
		Pvd                      int `json:"pvd"`
		PointId                  int `json:"point_id"`
		MacaoAddress             int `json:"macao_address"`
		AddressType              int `json:"address_type"`
		VirtualGoodsInfo         int `json:"virtual_goods_info"`
		PayWay                   int `json:"pay_way"`
	} `json:"sqlType"`
	Table string `json:"table"`
	Ts    int64  `json:"ts"`
	Type  string `json:"type"`
}
