package md

type CanalUserVirtualCoinFlowOrder struct {
	Id            string `json:"id"`
	Uid           string `json:"uid"`
	CoinId        string `json:"coin_id"`
	Direction     string `json:"direction"`
	Title         string `json:"title"`
	OrdId         string `json:"ord_id"`
	Amout         string `json:"amout"`
	BeforeAmout   string `json:"before_amout"`
	AfterAmout    string `json:"after_amout"`
	SysFee        string `json:"sys_fee"`
	CreateTime    string `json:"create_time"`
	CoinIdTo      string `json:"coin_id_to"`
	TransferType  string `json:"transfer_type"`
	IsRevoke      string `json:"is_revoke"`
	TransferId    string `json:"transfer_id"`
	TransferMoney string `json:"transfer_money"`
	ToUid         string `json:"to_uid"`
	State         string `json:"state"`
	ThirdPartId   string `json:"third_part_id"`
	Date          string `json:"date"`
	Price         string `json:"price"`
}

type CanalUserVirtualCoinFlowOrderMessage[T any] struct {
	Data     []T      `json:"data"`
	Database string   `json:"database"`
	ES       int64    `json:"es"`
	ID       int64    `json:"id"`
	IsDdl    bool     `json:"isDdl"`
	Old      []T      `json:"old"`
	PkNames  []string `json:"pkNames"`
	Table    string   `json:"table"`
	TS       int64    `json:"ts"`
	Type     string   `json:"type"`
}
