package model

import (
	"time"
)

type MallSkuAddPriceRule struct {
	Id                 int64     `json:"id" xorm:"pk autoincr BIGINT(22)"`
	SupplyGoodsSkuCode string    `json:"supply_goods_sku_code" xorm:"not null comment('供应链good-sku编码（唯一）') unique VARCHAR(600)"`
	AddPriceRule       string    `json:"add_price_rule" xorm:"not null default '' comment('加价规则') VARCHAR(600)"`
	CreateTime         time.Time `json:"create_time" xorm:"created not null default 'CURRENT_TIMESTAMP' comment('创建时间') DATETIME"`
	UpdateTime         time.Time `json:"update_time" xorm:"updated not null default 'CURRENT_TIMESTAMP' comment('更新时间') DATETIME"`
}
