package model

import (
	"applet/app/utils/logx"
	"xorm.io/xorm"
)

func (t *MallShippingTemplate) Get(engine *xorm.Engine) error {
	get, err := engine.Get(t)
	if err != nil || !get {
		return logx.Error("获取数据失败")
	}
	return nil
}

func (t *MallShippingTemplate) GetV2(engine *xorm.Engine) (bool, error) {
	get, err := engine.Get(t)
	return get, err
}
