package enum

type MallShippingTemplateCalculateType int

const (
	MallShippingTemplateCalculateTypeByWeight MallShippingTemplateCalculateType = iota + 1 // 重量
	MallShippingTemplateCalculateTypeByNum                                                 // 件数
)

func (e MallShippingTemplateCalculateType) String() string {
	switch e {
	case MallShippingTemplateCalculateTypeByWeight:
		return "按重量"
	case MallShippingTemplateCalculateTypeByNum:
		return "按件数"
	default:
		return ""
	}
}
