package md

type GoodsAddPriceConditions struct {
	CategoryId     string                   `json:"category_id"`
	AddPriceType   string                   `json:"add_price_type"` //1按金额增加2按比例增加
	AddPriceBase   string                   `json:"add_price_base"` //加价基数 1按进货价2按利润空间
	AddPriceNum    string                   `json:"add_price_num"`  //类型是1就是直接加值，如果是2则是百分比
	NumType        string                   `json:"num_type"`       //价格数值设置 1小数点后两位2整数
	Ids            []string                 `json:"ids"`            //编辑商品id组
	IsSkuAddPrice  string                   `json:"is_sku_add_price"`
	SkusConditions []*SkuAddPriceConditions `json:"skus_conditions"`
}

type SkuAddPriceConditions struct {
	AddPriceType string `json:"add_price_type"` //1按金额增加2按比例增加
	AddPriceBase string `json:"add_price_base"` //加价基数 1按进货价2按利润空间
	AddPriceNum  string `json:"add_price_num"`  //类型是1就是直接加值，如果是2则是百分比
	NumType      string `json:"num_type"`       //价格数值设置 1小数点后两位2整数
	SkuCode      string `json:"sku_code"`
}
