package md

// MallGoodsListReq
// 	Title 标题
// 	CategoryId 类目id
// 	SaleState 销售状态
// 	GoodsId 销售状态
// 	ActivityType 参加的活动类型
// 	PageId 页数
// 	PageSize 每页显示记录数
type MallGoodsListReq struct {
	Title        string `json:"title"`
	CategoryId   string `json:"category_id"`
	GoodsCode    string `json:"goods_code"`
	SkuCode      string `json:"sku_code"`
	SaleState    string `json:"sale_state"`
	MerchantId   string `json:"merchant_id"`
	PageId       string `json:"pageId"`
	PageSize     string `json:"pageSize"`
	OrderBy      string `json:"order_by"`
	MerchantName string `json:"merchant_name"`
	OrderBySate  string `json:"order_by_sate"`
	PriceMin     string `json:"price_min"`
	PriceMax     string `json:"price_max"`
	ProfitMin    string `json:"profit_min"`
	ProfitMax    string `json:"profit_max"`
}

type GoodsRangeData struct {
	PriceRange     string `json:"price_range"`
	LinePriceRange string `json:"line_price_range"`
	ProfitRange    string `json:"profit_range"`
	WeightRange    string `json:"weight_range"`
}

type GoodsListReq struct {
	Title        string `form:"title"`
	MerchantName string `form:"merchant_name"`
	PageId       string `form:"page"`
	PageSize     string `form:"limit"`
}
